import javax.swing.*;
import javax.swing.border.Border;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class Program2 extends JFrame {
    private JPanel panel;

    private JTextField number1;
    private JTextField number2;

    private JButton button;

    private JLabel result;

    private JComboBox comboBox;

    private JCheckBox checkBox1;
    private JCheckBox checkBox2;
    private JCheckBox checkBox3;
    private JCheckBox checkBox4;

    private ButtonGroup buttonGroup;

    private JRadioButton radio1;
    private JRadioButton radio2;
    private JRadioButton radio3;
    private JRadioButton radio4;


    public Program2() throws HeadlessException {
        super("Moje jednoduchá sčítačka");

        panel = new JPanel();
        add(panel);

        number1 = new JTextField(5);
        panel.add(number1);

        number2 = new JTextField(5);
        panel.add(number2);

        button = new JButton("Získej výsledek");
        panel.add(button);

        result = new JLabel("Zde bude výsledek");
        panel.add(result);

        comboBox = new JComboBox();
        comboBox.addItem("Sčítání");
        comboBox.addItem("Odčítání");

        panel.add(comboBox);

        checkBox1 = new JCheckBox("Souhlas s ochranou osobních údajů");
        checkBox2 = new JCheckBox("Souhlas se zpracováním údajů");
        checkBox3 = new JCheckBox("Souhlas se zasíláním novinek");
        checkBox4 = new JCheckBox("Souhlas s přidáním do věrnostního programu");

        checkBox1.setBackground(new Color (200,200,200));

         panel.add(checkBox1);
         panel.add(checkBox2);
         panel.add(checkBox3);
         panel.add(checkBox4);

        radio1 = new JRadioButton("1.I");
        radio2 = new JRadioButton("2.AI");
        radio3 = new JRadioButton("3.AI");
        radio4 = new JRadioButton("4.AI");


        buttonGroup = new ButtonGroup();

        buttonGroup.add(radio1);
        buttonGroup.add(radio2);
        buttonGroup.add(radio3);
        buttonGroup.add(radio4);

        panel.add(radio1);
        panel.add(radio2);
        panel.add(radio3);
        panel.add(radio4);




        button.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                int value1 = Integer.parseInt(number1.getText());
                int value2 = Integer.parseInt(number2.getText());
                int numberResult = 0;
                switch (comboBox.getSelectedIndex())
                {
                    case 0:
                        numberResult = value1 + value2;
                        break;
                    case 1:
                        numberResult = value1 - value2;
                        break;

                }
                result.setText (String.valueOf(numberResult));
            }
        });

        checkBox2.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                if (checkBox2.isSelected()) {
                    checkBox2.setBackground(Color.RED);
                }
                else
                {
                    checkBox2.setBackground(Color.WHITE);
                }
            }
        });




    }
}
